Corrections on labels and messages of Stock Data Template
04/08/2016 09:04 AM - Oleksii Kurasov

Status: Closed Start date: 04/08/2016
Priority: Immediate Due date: 05/16/2016
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 4.0 Spent time: 0.00 hour
Description

List of changes is in Attachment. Resolved ones are marked

History

#1 - 04/12/2016 12:35 PM - Luis Gustavo do Valle Bastos

- Subject changed from Pack of changes April 2016 to Corrections on labels and messages of Stock Data Template
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Priority changed from Normal to Immediate

Changes/corrections in the template:
- Change the name of the first spreadsheet to: "Stock Data Template"
- Change the name of the second spreadsheet to: "QuanTB Stock Data"

- The list of medicines from the "Stock of Medicines" of the gtb file that is open and active (selected) should be pasted in the column "Medicines" of
the spreadsheet "Stock Data Template" as well.

- If Stock on order is entered without Expected receiving date of the stock on order (doesn't matter if column Expiration date of the stock on order is
entered or not) - MESSAGE: "Expected receiving date of the stock on order cannot be blank". Currently in this situation system displays message
"Please, check expected receiving date" - please remove this message.

If Expiration date of the stock on order is entered without Stock on order AND without Expected receiving date of the stock on order - MESSAGE:
"Stock on order and expected receiving date cannot be blank". Currently in this situation system displays message "Expiration date of stock on order
must be later than receiving date of that stock" - this message must be displayed ONLY when there is an expiration date of the stock on order and it is
earlier than expected receiving date of the stock on order.

- If Expiration date of the stock on order and the Stock on order are entered without the Expected receiving date of the stock on order - MESSAGE:
"Expected receiving date of the stock on order cannot be blank". Currently in this situation system displays message "Please, check expected
receiving date" - please remove this message.

#2 - 05/13/2016 08:27 AM - Oleksii Kurasov
- Due date set to 05/16/2016
- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Change the name of the first spreadsheet to: "Stock Data Template"

DONE

- Change the name of the second spreadsheet to: "QuanTB Stock Data"

DONE

- The list of medicines from the "Stock of Medicines" of the gtb file that is open and active (selected) should be pasted in the column "Medicines" of
the spreadsheet "Stock Data Template" as well.

It is not a good solution, because in this case will be impossible to add new batches

- If Stock on order is entered without Expected receiving date of the stock on order (doesn't matter if column Expiration date of the stock on order is
entered or not) - MESSAGE: "Expected receiving date of the stock on order cannot be blank". Currently in this situation system displays message
"Please, check expected receiving date" - please remove this message.

Current message means that expected receiving date is wrong — empty or in the past. Propose “Expected receiving date cannot be blank
or in the past”

If Expiration date of the stock on order is entered without Stock on order AND without Expected receiving date of the stock on order - MESSAGE:
"Stock on order and expected receiving date cannot be blank". Currently in this situation system displays message "Expiration date of stock on order

must be later than receiving date of that stock" - this message must be displayed ONLY when there is an expiration date of the stock on order and it is
earlier than expected receiving date of the stock on order.

DONE
- If Expiration date of the stock on order and the Stock on order are entered without the Expected receiving date of the stock on order - MESSAGE:
"Expected receiving date of the stock on order cannot be blank". Currently in this situation system displays message "Please, check expected

receiving date" - please remove this message.

DONE

#3 - 12/08/2016 10:39 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

QuanTB-Template for stock importation-April-1-2016.xIsx 10.6 KB 04/08/2016 Oleksii Kurasov
